# Uses of Class
com.sun.jdi.IncompatibleThreadStateException

Packages that use IncompatibleThreadStateException
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of IncompatibleThreadStateException in com.sun.jdi

Methods in com.sun.jdi that throw IncompatibleThreadStateException
Modifier and Type
Method
Description
`ObjectReference`
ThreadReference.`currentContendedMonitor()`
Returns an `ObjectReference` for the monitor, if any, for which this thread is currently waiting.
`int`
ObjectReference.`entryCount()`
Returns the number of times this object's monitor has been entered by the current owning thread if the owning thread is platform thread; Returns 0 if not owned by a platform thread.
`void`
ThreadReference.`forceEarlyReturn(Value value)`
Force a method to return before it reaches a return statement.
`StackFrame`
ThreadReference.`frame(int index)`
Returns the `StackFrame` at the given index in the thread's current call stack.
`int`
ThreadReference.`frameCount()`
Returns the number of stack frames in the thread's current call stack.
`List<StackFrame>`
ThreadReference.`frames()`
Returns a List containing each `StackFrame` in the thread's current call stack.
`List<StackFrame>`
ThreadReference.`frames(int start, int length)`
Returns a List containing a range of `StackFrame` mirrors from the thread's current call stack.
`Value`
ClassType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`default Value`
InterfaceType.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified static `Method` in the target VM.
`Value`
ObjectReference.`invokeMethod(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Invokes the specified `Method` on this object in the target VM.
`ObjectReference`
ClassType.`newInstance(ThreadReference thread, Method method, List<? extends Value> arguments, int options)`
Constructs a new instance of this type, using the given constructor `Method` in the target VM.
`List<ObjectReference>`
ThreadReference.`ownedMonitors()`
Returns a List containing an `ObjectReference` for each monitor owned by the thread.
`List<MonitorInfo>`
ThreadReference.`ownedMonitorsAndFrames()`
Returns a List containing a `MonitorInfo` object for each monitor owned by the thread.
`ThreadReference`
ObjectReference.`owningThread()`
Returns a `ThreadReference` for the platform thread, if any, which currently owns this object's monitor.
`void`
ThreadReference.`popFrames(StackFrame frame)`
Pop stack frames.
`List<ThreadReference>`
ObjectReference.`waitingThreads()`
Returns a List containing a `ThreadReference` for each platform thread currently waiting for this object's monitor.